## xwayland 22.1.1

=== meson_options.txt ===
option('glamor', type: 'boolean', value: true,
       description: 'Enable glamor (default yes)')
option('xwayland_eglstream', type: 'combo', choices: ['true', 'false', 'auto'],
       value: 'auto', description: 'Enable EGLStream support for glamor on Xwayland')
option('xvfb', type: 'boolean', value: true,
       description: 'Enable Xvfb X server')


option('builder_addr', type: 'string', description: 'Builder address', value: 'xorg@lists.freedesktop.org')
option('builder_string', type: 'string', description: 'Additional builder string')

option('default_font_path', type: 'string')

option('glx', type: 'boolean', value: true)
option('xdmcp', type: 'boolean', value: true)
option('xdm-auth-1', type: 'boolean', value: true)
option('secure-rpc', type: 'boolean', value: true)
option('ipv6', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')
option('input_thread', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')

option('xkb_dir', type: 'string')
option('xkb_output_dir', type: 'string')
option('xkb_bin_dir', type: 'string')
option('xkb_default_rules', type: 'string', value: 'evdev')
option('xkb_default_model', type: 'string', value: 'pc105')
option('xkb_default_layout', type: 'string', value: 'us')
option('xkb_default_variant', type: 'string')
option('xkb_default_options', type: 'string')

option('vendor_name', type: 'string', value: 'The X.Org Foundation')
option('vendor_name_short', type: 'string', value: 'X.Org')
option('vendor_web', type: 'string', value: 'http://wiki.x.org')

option('dtrace', type: 'boolean', value: false,
       description: 'Enable dtrace hooks')

option('listen_tcp', type: 'boolean', value: false,
       description: 'Listen on TCP by default')
option('listen_unix', type: 'boolean', value: true,
       description: 'Listen on Unix by default')
option('listen_local', type: 'boolean', value: true,
       description: 'Listen on local by default')

option('dpms', type: 'boolean', value: true,
       description: 'Xorg DPMS extension')
option('xf86bigfont', type: 'boolean', value: false,
       description: 'XF86 Big Font extension')
option('screensaver', type: 'boolean', value: true,
       description: 'ScreenSaver extension')
option('xres', type: 'boolean', value: true,
       description: 'XRes extension')
option('xace', type: 'boolean', value: true,
       description: 'X-ACE extension')
option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'XSELINUX extension')
option('xinerama', type: 'boolean', value: true,
       description: 'Xinerama extension')
option('xcsecurity', type: 'boolean', value: false,
       description: 'Security extension')
option('xv', type: 'boolean', value: true,
       description: 'Xv extension')
option('mitshm', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'SHM extension')
option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
       description: 'SHA1 implementation')

option('dri3', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI3 extension (default: auto)')
option('drm', type: 'boolean', value: 'true',
        description: 'Build Xorg with libdrm support')

option('libunwind', type: 'boolean', value: false,
        description: 'Use libunwind for backtrace reporting')

option('xwayland-path', type: 'string', description: 'Directory containing Xwayland executable')

option('docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build documentation')
option('devel-docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build development documentation')
option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')

=== debian/changelog ===
xwayland (2:22.1.1-1ubuntu0.20) jammy-security; urgency=medium

  * SECURITY UPDATE: Use-after-free in XPresentNotify structures creation
    - debian/patches/CVE-2025-62229.patch: fix use-after-free in
      present/present_notify.c.
    - CVE-2025-62229
  * SECURITY UPDATE: Use-after-free in Xkb client resource removal
    - debian/patches/CVE-2025-62230-1.patch: make the RT_XKBCLIENT resource
      private in xkb/xkb.c, include/xkbsrv.h.
    - debian/patches/CVE-2025-62230-2.patch: free the XKB resource when
      freeing XkbInterest in xkb/xkbEvents.c.
    - CVE-2025-62230
  * SECURITY UPDATE: Value overflow in Xkb extension XkbSetCompatMap()
    - debian/patches/CVE-2025-62231.patch: prevent overflow in xkb/xkb.c.
    - CVE-2025-62231

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Oct 2025 14:30:43 -0400

xwayland (2:22.1.1-1ubuntu0.19) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds access in X Rendering extension
    - debian/patches/CVE-2025-49175.patch: avoid 0 or less animated cursors
      in render/animcur.c, render/render.c.
    - CVE-2025-49175
  * SECURITY UPDATE: Integer overflow in Big Requests Extension
    - debian/patches/CVE-2025-49176.patch: do not overflow the integer size
      with BigRequest in dix/dispatch.c, os/io.c.
    - CVE-2025-49176
  * SECURITY UPDATE: Data leak in XFIXES Extension 6
    - debian/patches/CVE-2025-49177.patch: check request length for
      SetClientDisconnectMode in xfixes/disconnect.c.
    - CVE-2025-49177
  * SECURITY UPDATE: Unprocessed client request via bytes to ignore
    - debian/patches/CVE-2025-49178.patch: account for bytes to ignore when
      sharing input buffer in os/io.c.
    - CVE-2025-49178
  * SECURITY UPDATE: Integer overflow in X Record extension
    - debian/patches/CVE-2025-49179.patch: check for overflow in
      RecordSanityCheckRegisterClients() in record/record.c.
    - CVE-2025-49179
  * SECURITY UPDATE: Integer overflow in RandR extension
    - debian/patches/CVE-2025-49180-1.patch: check for overflow in
      RRChangeProviderProperty() in randr/rrproviderproperty.c.
    - CVE-2025-49180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Jun 2025 09:02:41 -0400

xwayland (2:22.1.1-1ubuntu0.18) jammy; urgency=medium

  * Backport patches to avoid crash after the busy-loop fix (LP: 2043517).
    With the busy-loop fixed, XWayland can now proceed further and may
    encounter a new crash (LP: #2096653).
    - xwayland-glamor-cleanup-xwl_gbm-only-once.patch
    - xwayland-glamor-disable-after-gbm-cleanup.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Mar 2025 12:24:28 +0100

xwayland (2:22.1.1-1ubuntu0.17) jammy-security; urgency=medium

  * SECURITY UPDATE: Use-after-free of the root cursor
    - debian/patches/CVE-2025-26594-1.patch: refuse to free the root cursor
      in dix/dispatch.c.
    - debian/patches/CVE-2025-26594-2.patch: keep a ref to the rootCursor
      in dix/main.c.
    - CVE-2025-26594
  * SECURITY UPDATE: Buffer overflow in XkbVModMaskText()
    - debian/patches/CVE-2025-26595.patch: fix bounds check in
      xkb/xkbtext.c.
    - CVE-2025-26595
  * SECURITY UPDATE: Heap overflow in XkbWriteKeySyms()
    - debian/patches/CVE-2025-26596.patch: fix computation of
      XkbSizeKeySyms in xkb/xkb.c.
    - CVE-2025-26596
  * SECURITY UPDATE: Buffer overflow in XkbChangeTypesOfKey()
    - debian/patches/CVE-2025-26597.patch: also resize key actions in
      xkb/XKBMisc.c.
    - CVE-2025-26597
  * SECURITY UPDATE: Out-of-bounds write in CreatePointerBarrierClient()
    - debian/patches/CVE-2025-26598.patch: fix barrier device search in
      Xi/xibarriers.c.
    - CVE-2025-26598
  * SECURITY UPDATE: Use of uninitialized pointer in compRedirectWindow()
    - debian/patches/CVE-2025-26599-1.patch: handle failure to redirect in
      composite/compalloc.c.
    - debian/patches/CVE-2025-26599-2.patch: initialize border clip even
      when pixmap alloc fails in composite/compalloc.c.
    - CVE-2025-26599
  * SECURITY UPDATE: Use-after-free in PlayReleasedEvents()
    - debian/patches/CVE-2025-26600.patch: dequeue pending events on frozen
      device on removal in dix/devices.c.
    - CVE-2025-26600
  * SECURITY UPDATE: Use-after-free in SyncInitTrigger()
    - debian/patches/CVE-2025-26601-1.patch: do not let sync objects
      uninitialized in Xext/sync.c.
    - debian/patches/CVE-2025-26601-2.patch: check values before applying
      changes in Xext/sync.c.
    - debian/patches/CVE-2025-26601-3.patch: do not fail
      SyncAddTriggerToSyncObject() in Xext/sync.c.
    - debian/patches/CVE-2025-26601-4.patch: apply changes last in
      SyncChangeAlarmAttributes() in Xext/sync.c.
    - CVE-2025-26601
  * Note: this package does _not_ contain the changes from
    (2:22.1.1-1ubuntu0.16) in jammy-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Feb 2025 10:05:45 -0500

xwayland (2:22.1.1-1ubuntu0.15) jammy; urgency=medium

  * Backport patch to fix busy-loop on inactive VT (LP: #2043517)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 17:09:02 +0100

xwayland (2:22.1.1-1ubuntu0.14) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow in _XkbSetCompatMap
    - debian/patches/CVE-2024-9632.patch: properly update size in
      xkb/xkb.c.
    - CVE-2024-9632

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 11 Oct 2024 10:40:32 -0400

xwayland (2:22.1.1-1ubuntu0.13) jammy-security; urgency=medium

  * SECURITY REGRESSION: Avoid possible double-free
    - debian/patches/CVE-2024-31083-regression.patch:
      fix a regression caused for a double-free at the last
      changes fixed by CVE-2024-31083 (LP: #2060354)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 08 Apr 2024 22:13:22 -0300

xwayland (2:22.1.1-1ubuntu0.12) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap buffer over read
    - debian/patches/CVE-2024-31080.patch: fixes byte


=== debian/control ===
Source: xwayland
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkg-config,
 quilt,
 libdrm-dev (>= 2.4.89),
 libepoxy-dev,
 libgcrypt-dev,
 libgbm-dev,
 libnvidia-egl-wayland-dev,
 libpixman-1-dev,
 libxcvt-dev,
 libxfont-dev,
 libxkbfile-dev,
 libxshmfence-dev,
 libxv-dev,
 libwayland-dev,
 mesa-common-dev,
 x11proto-dev,
 xfonts-utils,
 xtrans-dev,
 wayland-protocols,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/xorg-team/wayland/xwayland.git
Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/xwayland
Homepage: https://www.x.org/

Package: xwayland
Architecture: linux-any
Depends:
 xserver-common,
 ${shlibs:Depends},
 ${misc:Depends},
Description: X server for running X clients under Wayland
 This package provides an X server running on top of wayland, using wayland
 input devices for input and forwarding either the root window or individual
 top-level windows as wayland surfaces.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SUPPORT = https://www.debian.org/support

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuilder_addr="debian-x@lists.debian.org"
		-Dbuilder_string="$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM) ($(SUPPORT))"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	rm -rf debian/tmp/usr/lib/*/xorg/protocol.txt
	rm -f debian/tmp/usr/share/man/man1/Xserver.1
	# for now
	rm -f debian/tmp/usr/lib/*/pkgconfig/xwayland.pc 

override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf build-source
	rm -f aclocal.m4 ltmain.sh m4/l*.m4

gentarball:
	git archive --format=tar upstream-unstable --prefix=$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/ \
		| gzip -9 > ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz

=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/xserver
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
https://xorg.freedesktop.org/releases/individual/xserver/ xwayland-(.*)\.tar\.xz

## xwayland 22.1.3

=== debian/changelog ===
xwayland (2:22.1.3-0~siduction.1) unstable; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 13 Jul 2022 16:38:55 +0200

xwayland (2:22.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Jun 2022 15:16:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+export DEB_BUILD_OPTIONS += noddebs
 
 SUPPORT = https://www.debian.org/support

## xwayland 22.1.5

=== debian/changelog ===
xwayland (2:22.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Nov 2022 15:38:36 +0100

xwayland (2:22.1.3-2) unstable; urgency=medium

  [ Daniel van Vugt ]
  * Add xwayland-Detect-gbm_bo_get_fd_for_plane-at-runtime.patch

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 13:03:43 +0300

xwayland (2:22.1.3-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-2319, CVE-2022-2320

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Jul 2022 14:39:48 +0300

## xwayland 22.1.6

=== debian/changelog ===
xwayland (2:22.1.6-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-46340, CVE-2022-46341, CVE-2022-46342, CVE-2022-46343,
      CVE-2022-46344, CVE-2022-4283
  * Add signing-key from Peter Hutterer.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Dec 2022 16:26:30 +0200

## xwayland 22.1.7

=== debian/changelog ===
xwayland (2:22.1.7-1) unstable; urgency=medium

  * New upstream release.
  * rules, install: Ship the .pc file. (Closes: #1025742)
  * rules: Enable full hardening flags. (Closes: #1026168)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Jan 2023 09:37:32 +0200

## xwayland 22.1.8

=== debian/changelog ===
xwayland (2:22.1.8-1ubuntu1) lunar; urgency=medium

  * SECURITY UPDATE: Overlay Window Use-After-Free
    - debian/patches/CVE-2023-1393.patch: fix use-after-free of the COW in
      composite/compwindow.c.
    - CVE-2023-1393

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Mar 2023 12:56:54 -0400

xwayland (2:22.1.8-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-0494

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Feb 2023 15:14:38 +0200

## xwayland 22.1.9

=== debian/changelog ===
xwayland (2:22.1.9-1) unstable; urgency=high

  * New upstream bugfix release
    - composite: Fix use-after-free of the COW (CVE-2023-1393)

 -- Julien Cristau <jcristau@debian.org>  Wed, 29 Mar 2023 15:23:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## xwayland 23.2.0

=== debian/changelog ===
xwayland (2:23.2.0-1ubuntu0.6) mantic-security; urgency=medium

  * SECURITY REGRESSION: Fix for CVE-2024-31083 introduced a potential
    double-free error, causing X to crash
    - debian/patches/CVE-2024-31083-regression_fix-MR_1476.patch:
      render: Avoid possible double-free in ProcRenderAddGlyphs()
    - LP: #2060354

 -- Steve Beattie <steve.beattie@canonical.com>  Mon, 08 Apr 2024 20:37:39 -0700

xwayland (2:23.2.0-1ubuntu0.5) mantic-security; urgency=medium

  * SECURITY UPDATE: Heap buffer over read
    - debian/patches/CVE-2024-31080.patch: fixes byte
      swapping in replies in Xi/xiselectev.c.
    - CVE-2024-31080
  * SECURITY UPDATE: Heap buffer over read
    - debian/patches/CVE-2024-31081.patch: fixes byte
      swapping in replies in Xi/xipassivegrab.c.
    - CVE-2024-31081
  * SECURITY UPDATE: User-after-free
    - debian/patches/CVE-2024-31083.patch: fix recounting of glyphs
      during ProcRenderAddGlyphs in render/glyph.c.
    - CVE-2024-31083

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 01 Apr 2024 16:53:20 -0300

xwayland (2:23.2.0-1ubuntu0.4) mantic-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in DeviceFocusEvent and
    ProcXIQueryPointer
    - debian/patches/CVE-2023-6816.patch: allocate enough space for logical
      button maps in Xi/xiquerypointer.c, dix/enterleave.c.
    - CVE-2023-6816
  * SECURITY UPDATE: Reattaching to different master device may lead to
    out-of-bounds memory access
    - debian/patches/CVE-2024-0229-1.patch: allocate sufficient xEvents for
      our DeviceStateNotify in dix/enterleave.c.
    - debian/patches/CVE-2024-0229-2.patch: fix DeviceStateNotify event
      calculation in dix/enterleave.c.
    - debian/patches/CVE-2024-0229-3.patch: when creating a new
      ButtonClass, set the number of buttons in Xi/exevents.c.
    - debian/patches/CVE-2024-0229-4.patch: require a pointer and keyboard
      device for XIAttachToMaster in Xi/xichangehierarchy.c.
    - CVE-2024-0229
  * SECURITY UPDATE: SELinux unlabeled GLX PBuffer
    - debian/patches/CVE-2024-0408.patch: call XACE hooks on the GLX buffer
      in glx/glxcmds.c.
    - CVE-2024-0408
  * SECURITY UPDATE: SELinux context corruption
    - debian/patches/CVE-2024-0409.patch: use the proper private key for
      cursor in hw/xwayland/xwayland-cursor.c.
    - CVE-2024-0409
  * SECURITY UPDATE: Heap buffer overflow in XISendDeviceHierarchyEvent
    - debian/patches/CVE-2024-21885.patch: flush hierarchy events after
      adding/removing master devices in Xi/xichangehierarchy.c.
    - CVE-2024-21885
  * SECURITY UPDATE: Heap buffer overflow in DisableDevice
    - debian/patches/CVE-2024-21886-1.patch: do not keep linked list
      pointer during recursion in dix/devices.c.
    - debian/patches/CVE-2024-21886-2.patch: when disabling a master, float
      disabled slaved devices too in dix/devices.c.
    - CVE-2024-21886

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jan 2024 13:03:30 -0500

xwayland (2:23.2.0-1ubuntu0.3) mantic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds memory write in XKB button actions
    - debian/patches/CVE-2023-6377.patch: allocate enough XkbActions for
      our buttons in Xi/exevents.c, dix/devices.c.
    - CVE-2023-6377
  * SECURITY UPDATE: Out-of-bounds memory read in RRChangeOutputProperty
    and RRChangeProviderProperty
    - debian/patches/CVE-2023-6478.patch: avoid integer truncation in
      length check of ProcRRChange*Property in randr/rrproperty.c,
      randr/rrproviderproperty.c.
    - CVE-2023-6478

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Dec 2023 20:30:20 -0500

xwayland (2:23.2.0-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: OOB write in XIChangeDeviceProperty and
    RRChangeOutputProperty
    - debian/patches/CVE-2023-5367.patch: fix handling of PropModeAppend
      and PropModePrepend in Xi/xiproperty.c, randr/rrproperty.c.
    - CVE-2023-5367

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Oct 2023 09:12:41 -0400

xwayland (2:23.2.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * control: Bump x11proto-dev depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Aug 2023 15:27:59 +0300

xwayland (2:23.1.1-1) experimental; urgency=medium

  * New upstream release.
  * control: Fix cross-building, add libwayland-dev:native to build-
    depends. (Closes: #1002515)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 May 2023 13:10:04 +0300

xwayland (2:23.1.0-1) experimental; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * install: Add desktop file.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Mar 2023 11:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -20,8 +21,9 @@
  libxshmfence-dev,
  libxv-dev,
  libwayland-dev,
+ libwayland-dev:native,
  mesa-common-dev,
- x11proto-dev,
+ x11proto-dev (>= 2023.2),
  xfonts-utils,
  xtrans-dev,
  wayland-protocols,

## xwayland 23.2.4

=== debian/changelog ===
xwayland (2:23.2.4-1) unstable; urgency=medium

  * New upstream release
    - CVE-2023-6816
    - CVE-2024-0229
    - CVE-2024-21885
    - CVE-2024-21886
    - CVE-2024-0408
    - CVE-2024-0409

 -- Julien Cristau <jcristau@debian.org>  Wed, 17 Jan 2024 11:20:05 +0100

xwayland (2:23.2.3-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-6377
    - CVE-2023-6478

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Dec 2023 10:35:39 +0200

xwayland (2:23.2.2-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-5367
    - CVE-2023-5380
    - CVE-2023-5574
  * control: Add libdecor-0-dev to build-depends. (Closes: #1054529)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Oct 2023 10:51:36 +0300

xwayland (2:23.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Sep 2023 16:09:23 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
  pkg-config,
  quilt,
+ libdecor-0-dev,
  libdrm-dev (>= 2.4.89),
  libepoxy-dev,
  libgcrypt-dev,

## xwayland 23.2.6

=== debian/changelog ===
xwayland (2:23.2.6-1ubuntu0.7) noble-security; urgency=medium

  * SECURITY UPDATE: Use-after-free in XPresentNotify structures creation
    - debian/patches/CVE-2025-62229.patch: fix use-after-free in
      present/present_notify.c.
    - CVE-2025-62229
  * SECURITY UPDATE: Use-after-free in Xkb client resource removal
    - debian/patches/CVE-2025-62230-1.patch: make the RT_XKBCLIENT resource
      private in xkb/xkb.c, include/xkbsrv.h.
    - debian/patches/CVE-2025-62230-2.patch: free the XKB resource when
      freeing XkbInterest in xkb/xkbEvents.c.
    - CVE-2025-62230
  * SECURITY UPDATE: Value overflow in Xkb extension XkbSetCompatMap()
    - debian/patches/CVE-2025-62231.patch: prevent overflow in xkb/xkb.c.
    - CVE-2025-62231

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Oct 2025 14:29:45 -0400

xwayland (2:23.2.6-1ubuntu0.6) noble-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds access in X Rendering extension
    - debian/patches/CVE-2025-49175.patch: avoid 0 or less animated cursors
      in render/animcur.c, render/render.c.
    - CVE-2025-49175
  * SECURITY UPDATE: Integer overflow in Big Requests Extension
    - debian/patches/CVE-2025-49176.patch: do not overflow the integer size
      with BigRequest in dix/dispatch.c, os/io.c.
    - CVE-2025-49176
  * SECURITY UPDATE: Data leak in XFIXES Extension 6
    - debian/patches/CVE-2025-49177.patch: check request length for
      SetClientDisconnectMode in xfixes/disconnect.c.
    - CVE-2025-49177
  * SECURITY UPDATE: Unprocessed client request via bytes to ignore
    - debian/patches/CVE-2025-49178.patch: account for bytes to ignore when
      sharing input buffer in os/io.c.
    - CVE-2025-49178
  * SECURITY UPDATE: Integer overflow in X Record extension
    - debian/patches/CVE-2025-49179.patch: check for overflow in
      RecordSanityCheckRegisterClients() in record/record.c.
    - CVE-2025-49179
  * SECURITY UPDATE: Integer overflow in RandR extension
    - debian/patches/CVE-2025-49180-1.patch: check for overflow in
      RRChangeProviderProperty() in randr/rrproviderproperty.c.
    - CVE-2025-49180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Jun 2025 09:02:41 -0400

xwayland (2:23.2.6-1ubuntu0.5) noble; urgency=medium

  * Backport patches to avoid crash after the busy-loop fix (LP: 2043517).
    With the busy-loop fixed, XWayland can now proceed further and may
    encounter a new crash (LP: #2096653).
    - xwayland-glamor-cleanup-xwl_gbm-only-once.patch
    - xwayland-glamor-disable-after-gbm-cleanup.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Mar 2025 12:19:46 +0100

xwayland (2:23.2.6-1ubuntu0.4) noble-security; urgency=medium

  * SECURITY UPDATE: Use-after-free of the root cursor
    - debian/patches/CVE-2025-26594-1.patch: refuse to free the root cursor
      in dix/dispatch.c.
    - debian/patches/CVE-2025-26594-2.patch: keep a ref to the rootCursor
      in dix/main.c.
    - CVE-2025-26594
  * SECURITY UPDATE: Buffer overflow in XkbVModMaskText()
    - debian/patches/CVE-2025-26595.patch: fix bounds check in
      xkb/xkbtext.c.
    - CVE-2025-26595
  * SECURITY UPDATE: Heap overflow in XkbWriteKeySyms()
    - debian/patches/CVE-2025-26596.patch: fix computation of
      XkbSizeKeySyms in xkb/xkb.c.
    - CVE-2025-26596
  * SECURITY UPDATE: Buffer overflow in XkbChangeTypesOfKey()
    - debian/patches/CVE-2025-26597.patch: also resize key actions in
      xkb/XKBMisc.c.
    - CVE-2025-26597
  * SECURITY UPDATE: Out-of-bounds write in CreatePointerBarrierClient()
    - debian/patches/CVE-2025-26598.patch: fix barrier device search in
      Xi/xibarriers.c.
    - CVE-2025-26598
  * SECURITY UPDATE: Use of uninitialized pointer in compRedirectWindow()
    - debian/patches/CVE-2025-26599-1.patch: handle failure to redirect in
      composite/compalloc.c.
    - debian/patches/CVE-2025-26599-2.patch: initialize border clip even
      when pixmap alloc fails in composite/compalloc.c.
    - CVE-2025-26599
  * SECURITY UPDATE: Use-after-free in PlayReleasedEvents()
    - debian/patches/CVE-2025-26600.patch: dequeue pending events on frozen
      device on removal in dix/devices.c.
    - CVE-2025-26600
  * SECURITY UPDATE: Use-after-free in SyncInitTrigger()
    - debian/patches/CVE-2025-26601-1.patch: do not let sync objects
      uninitialized in Xext/sync.c.
    - debian/patches/CVE-2025-26601-2.patch: check values before applying
      changes in Xext/sync.c.
    - debian/patches/CVE-2025-26601-3.patch: do not fail
      SyncAddTriggerToSyncObject() in Xext/sync.c.
    - debian/patches/CVE-2025-26601-4.patch: apply changes last in
      SyncChangeAlarmAttributes() in Xext/sync.c.
    - CVE-2025-26601
  * Note: this package does _not_ contain the changes from
    (2:23.2.6-1ubuntu0.3) in noble-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Feb 2025 10:00:20 -0500

xwayland (2:23.2.6-1ubuntu0.2) noble; urgency=medium

  * Backport patch to fix busy-loop on inactive VT (LP: #2043517)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 16:45:25 +0100

xwayland (2:23.2.6-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow in _XkbSetCompatMap
    - debian/patches/CVE-2024-9632.patch: properly update size in
      xkb/xkb.c.
    - CVE-2024-9632

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 11 Oct 2024 10:40:00 -0400

xwayland (2:23.2.6-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2024-31080
    - CVE-2024-31081
    - CVE-2024-31083
  * control: Add libtirpc-dev to build-depends. (Closes: #1065184)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 13 Apr 2024 16:58:45 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,6 +16,7 @@
  libgbm-dev,
  libnvidia-egl-wayland-dev,
  libpixman-1-dev,
+ libtirpc-dev,
  libxcvt-dev,
  libxfont-dev,
  libxkbfile-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
-export DEB_BUILD_OPTIONS += noddebs
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 SUPPORT = https://www.debian.org/support
 
@@ -18,8 +19,6 @@
 
 	rm -rf debian/tmp/usr/lib/*/xorg/protocol.txt
 	rm -f debian/tmp/usr/share/man/man1/Xserver.1
-	# for now
-	rm -f debian/tmp/usr/lib/*/pkgconfig/xwayland.pc 
 
 override_dh_clean:
 	dh_clean

## xwayland 23.2.7

=== debian/changelog ===
xwayland (3:23.2.7-1towo1) experimental-test; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 08 Jun 2024 17:21:16 +0200

xwayland (3:23.2.6-1towo1) experimental-test; urgency=medium

  * Non-maintainer upload.
  * fixes https://gitlab.freedesktop.org/mesa/mesa/-/issues/11294

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 08 Jun 2024 17:14:19 +0200

## xwayland 24.1.0

=== debian/changelog ===
xwayland (2:24.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 May 2024 16:57:31 +0300

xwayland (2:24.0.99.901-1) experimental; urgency=medium

  * New upstream release candidate.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Apr 2024 13:27:37 +0300

## xwayland 24.1.2

=== debian/changelog ===
xwayland (2:24.1.2-1ubuntu0.6) oracular-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds access in X Rendering extension
    - debian/patches/CVE-2025-49175.patch: avoid 0 or less animated cursors
      in render/animcur.c, render/render.c.
    - CVE-2025-49175
  * SECURITY UPDATE: Integer overflow in Big Requests Extension
    - debian/patches/CVE-2025-49176.patch: do not overflow the integer size
      with BigRequest in dix/dispatch.c, os/io.c.
    - CVE-2025-49176
  * SECURITY UPDATE: Data leak in XFIXES Extension 6
    - debian/patches/CVE-2025-49177.patch: check request length for
      SetClientDisconnectMode in xfixes/disconnect.c.
    - CVE-2025-49177
  * SECURITY UPDATE: Unprocessed client request via bytes to ignore
    - debian/patches/CVE-2025-49178.patch: account for bytes to ignore when
      sharing input buffer in os/io.c.
    - CVE-2025-49178
  * SECURITY UPDATE: Integer overflow in X Record extension
    - debian/patches/CVE-2025-49179.patch: check for overflow in
      RecordSanityCheckRegisterClients() in record/record.c.
    - CVE-2025-49179
  * SECURITY UPDATE: Integer overflow in RandR extension
    - debian/patches/CVE-2025-49180-1.patch: check for overflow in
      RRChangeProviderProperty() in randr/rrproviderproperty.c.
    - CVE-2025-49180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Jun 2025 09:02:41 -0400

xwayland (2:24.1.2-1ubuntu0.5) oracular; urgency=medium

  * Backport patches to avoid crash after the busy-loop fix (LP: 2043517).
    With the busy-loop fixed, XWayland can now proceed further and may
    encounter a new crash (LP: #2096653).
    - xwayland-glamor-cleanup-xwl_gbm-only-once.patch
    - xwayland-glamor-disable-after-gbm-cleanup.patch 

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Mar 2025 12:15:47 +0100

xwayland (2:24.1.2-1ubuntu0.4) oracular-security; urgency=medium

  * SECURITY UPDATE: Use-after-free of the root cursor
    - debian/patches/CVE-2025-26594-1.patch: refuse to free the root cursor
      in dix/dispatch.c.
    - debian/patches/CVE-2025-26594-2.patch: keep a ref to the rootCursor
      in dix/main.c.
    - CVE-2025-26594
  * SECURITY UPDATE: Buffer overflow in XkbVModMaskText()
    - debian/patches/CVE-2025-26595.patch: fix bounds check in
      xkb/xkbtext.c.
    - CVE-2025-26595
  * SECURITY UPDATE: Heap overflow in XkbWriteKeySyms()
    - debian/patches/CVE-2025-26596.patch: fix computation of
      XkbSizeKeySyms in xkb/xkb.c.
    - CVE-2025-26596
  * SECURITY UPDATE: Buffer overflow in XkbChangeTypesOfKey()
    - debian/patches/CVE-2025-26597.patch: also resize key actions in
      xkb/XKBMisc.c.
    - CVE-2025-26597
  * SECURITY UPDATE: Out-of-bounds write in CreatePointerBarrierClient()
    - debian/patches/CVE-2025-26598.patch: fix barrier device search in
      Xi/xibarriers.c.
    - CVE-2025-26598
  * SECURITY UPDATE: Use of uninitialized pointer in compRedirectWindow()
    - debian/patches/CVE-2025-26599-1.patch: handle failure to redirect in
      composite/compalloc.c.
    - debian/patches/CVE-2025-26599-2.patch: initialize border clip even
      when pixmap alloc fails in composite/compalloc.c.
    - CVE-2025-26599
  * SECURITY UPDATE: Use-after-free in PlayReleasedEvents()
    - debian/patches/CVE-2025-26600.patch: dequeue pending events on frozen
      device on removal in dix/devices.c.
    - CVE-2025-26600
  * SECURITY UPDATE: Use-after-free in SyncInitTrigger()
    - debian/patches/CVE-2025-26601-1.patch: do not let sync objects
      uninitialized in Xext/sync.c.
    - debian/patches/CVE-2025-26601-2.patch: check values before applying
      changes in Xext/sync.c.
    - debian/patches/CVE-2025-26601-3.patch: do not fail
      SyncAddTriggerToSyncObject() in Xext/sync.c.
    - debian/patches/CVE-2025-26601-4.patch: apply changes last in
      SyncChangeAlarmAttributes() in Xext/sync.c.
    - CVE-2025-26601
  * Note: this package does _not_ contain the changes from
    (2:24.1.2-1ubuntu0.3) in oracular-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Feb 2025 09:56:40 -0500

xwayland (2:24.1.2-1ubuntu0.2) oracular; urgency=medium

  * Backport patch to fix busy-loop on inactive VT (LP: #2043517)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 16:41:15 +0100

xwayland (2:24.1.2-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow in _XkbSetCompatMap
    - debian/patches/CVE-2024-9632.patch: properly update size in
      xkb/xkb.c.
    - CVE-2024-9632

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 11 Oct 2024 10:38:44 -0400

xwayland (2:24.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump libdrm-dev build-dependency. (Closes: #1076005)
  * patches: Refreshed.
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Aug 2024 09:56:38 +0300

## xwayland 24.1.3

=== debian/changelog ===
xwayland (2:24.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:13:19 +0300

## xwayland 24.1.4

=== debian/changelog ===
xwayland (2:24.1.4-3) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add patch to fix possible crash after the previous backport
    (LP: #2096653)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Jan 2025 13:17:11 +0200

xwayland (2:24.1.4-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix busy-loop on inactive VT (LP: #2043517)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Dec 2024 14:27:57 +0200

xwayland (2:24.1.4-1) unstable; urgency=medium

  * New upstream release
    + CVE-2024-9632: Heap-based buffer overflow privilege escalation in
      _XkbSetCompatMap (closes: #1086244)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Oct 2024 12:01:08 +0200

## xwayland 24.1.5

=== debian/changelog ===
xwayland (2:24.1.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * xwayland-Detect-gbm_bo_get_fd_for_plane-at-runtime.patch: Dropped,
    likely unneeded by now for Xilinx.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Feb 2025 09:56:57 +0200

## xwayland 24.1.6

=== debian/changelog ===
xwayland (2:24.1.6-1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: Out-of-bounds access in X Rendering extension
    - debian/patches/CVE-2025-49175.patch: avoid 0 or less animated cursors
      in render/animcur.c, render/render.c.
    - CVE-2025-49175
  * SECURITY UPDATE: Integer overflow in Big Requests Extension
    - debian/patches/CVE-2025-49176.patch: do not overflow the integer size
      with BigRequest in dix/dispatch.c, os/io.c.
    - CVE-2025-49176
  * SECURITY UPDATE: Data leak in XFIXES Extension 6
    - debian/patches/CVE-2025-49177.patch: check request length for
      SetClientDisconnectMode in xfixes/disconnect.c.
    - CVE-2025-49177
  * SECURITY UPDATE: Unprocessed client request via bytes to ignore
    - debian/patches/CVE-2025-49178.patch: account for bytes to ignore when
      sharing input buffer in os/io.c.
    - CVE-2025-49178
  * SECURITY UPDATE: Integer overflow in X Record extension
    - debian/patches/CVE-2025-49179.patch: check for overflow in
      RecordSanityCheckRegisterClients() in record/record.c.
    - CVE-2025-49179
  * SECURITY UPDATE: Integer overflow in RandR extension
    - debian/patches/CVE-2025-49180-1.patch: check for overflow in
      RRChangeProviderProperty() in randr/rrproviderproperty.c.
    - CVE-2025-49180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Jun 2025 08:39:52 -0400

xwayland (2:24.1.6-1) unstable; urgency=medium

  * New upstream release. Fixes:
    - CVE-2025-26594: use-after-free of the root cursor
    - CVE-2025-26595: buffer overflow in XkbVModMaskText
    - CVE-2025-26596: heap overflow in XkbWriteKeySyms
    - CVE-2025-26597: buffer overflow in XkbChangeTypesOfKey
    - CVE-2025-26598: out-of-bounds write in CreatePointerBarrierClient
    - CVE-2025-26599: use of uninitialized pointer in compRedirectWindow
    - CVE-2025-26600: use-after-free in PlayReleasedEvents
    - CVE-2025-26601: use-after-free in SyncInitTrigger
    (Closes: #1098907).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Feb 2025 10:22:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  quilt,
  libdecor-0-dev,
- libdrm-dev (>= 2.4.89),
+ libdrm-dev (>= 2.4.116),
  libepoxy-dev,
  libgcrypt-dev,
  libgbm-dev,

## xwayland 24.1.8

=== debian/changelog ===
xwayland (2:24.1.8-1) unstable; urgency=medium

  * Add README.Debian.security to clarify how the security issues are
    inherited from the shared codebase with xorg-server, and don't
    actually apply to xwayland. Thanks, Moritz Muehlenhoff!
  * New upstream release. (Closes: #1108369)
    - CVE-2025-49175
    - CVE-2025-49176
    - CVE-2025-49177
    - CVE-2025-49178
    - CVE-2025-49179
    - CVE-2025-49180

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Aug 2025 10:25:23 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xwayland
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 13),

## xwayland 24.1.9

=== debian/changelog ===
xwayland (2:24.1.9-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * Enable input emulation through XDG Desktop Portal (LP: #2075962)
  * Actually set debian builder string

  [ Timo Aaltonen ]
  * New upstream release.
    - CVE-2025-62229
    - CVE-2025-62230
    - CVE-2025-62231

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Nov 2025 19:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
  quilt,
  libdecor-0-dev,
  libdrm-dev (>= 2.4.116),
+ libei-dev,
  libepoxy-dev,
  libgcrypt-dev,
  libgbm-dev,
  libnvidia-egl-wayland-dev,
+ liboeffis-dev,
  libpixman-1-dev,
  libtirpc-dev,
  libxcvt-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dbuilder_addr="debian-x@lists.debian.org"
+		-Dxwayland_ei=portal \
+		-Dbuilder_addr="debian-x@lists.debian.org" \
 		-Dbuilder_string="$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM) ($(SUPPORT))"
 
 override_dh_auto_install:
